REM TESTARJ.BAT, ARJ, 10/05/01
echo off
echo  .
echo  TESTARJ.BAT - batch file to test the reliability of ARJ
echo  .
echo  This is a batch file to test the reliability of ARJ compressing and
echo  decompressing all of your files.  This test will take a LONG TIME
echo  (HOURS, MAYBE DAYS) and will process all of the files on your C: drive
echo  in six phases.  You can interrupt or shorten any test phase by
echo  pressing CTRL BREAK.  You can also shorten this test by editing this
echo  batch file and deleting the lines with -m2, -m3, and -m4.  This test
echo  will create files named TESTVOL$.### and then delete them.  If the
echo  test proceeds to its end successfully, you will know that ARJ is
echo  compatible with your computer and its files.
echo  .
echo  Please NOTE that this program is very CPU and DISK intensive and will
echo  strongly stress a computer system possibly revealing hidden software
echo  or hardware problems.
echo  .
echo  The most common test error that will be encountered is a file that
echo  has been modified while the file is being archived.  A mismatch of
echo  size or date-time will be reported.
echo  .
echo  COMMAND SYNTAX:  testarj execute
echo  .
if NOT "%1" == "execute" pause
if NOT "%1" == "execute" goto end

echo testvol$.*       >  testarj.xcl
echo testarj.inx      >> testarj.xcl
echo c:\windows\*.txt >> testarj.xcl
echo c:\windows\*.log >> testarj.xcl

echo on
ARJ a testvol$.000 c:\*.* -i -jm -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause
ARJ a testvol$.000 c:\*.* -i -m1 -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause
ARJ a testvol$.000 c:\*.* -i -m2 -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause
ARJ a testvol$.000 c:\*.* -i -m3 -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause
ARJ a testvol$.000 c:\*.* -i -m4 -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause
ARJ a testvol$.000 c:\*.* -i -m0 -r -v360dtestvol$.* -x!testarj.xcl -y -jf -jitestarj.inx -jt1 -jv -hq2 -hk
if errorlevel 1 pause

del testarj.xcl
del testvol$.*

REM end of test
:end
